Subject: [dhcwg] Confirm call for adoption: draft-jiang-dhc-cga-config-dhcpv6-02

From: Ted Lemon <[email-masked]>
Date: Fri, 3 Dec 2010 10:43:01 -0700

During the meeting in Beijing, Sheng Jiang presented this document, and there was broad support for adoption.   Based on the consensus in the meeting, I would like to ask if anybody objects to adopting this document.

If I don't hear any objections by next Friday, we will go with the consensus in the meeting, which was to adopt.   If I do hear objections, we'll continue discussion until Friday the 17th, and then I will judge consensus and post the results.

So, if you object, please speak now or forever hold your peace.   If you have any questions or comments, this would be a good time to raise them.

---

From: Suresh Krishnan <[email-masked]>
Date: Sat, 11 Dec 2010 09:03:24 -0500

Hi,

> So, if you object, please speak now or forever hold your peace.   If you have any questions or comments, this would be a good time to raise them.

I have gone through the draft and it is completely unclear to me what 
problem the draft is trying to solve. As far as I can see it solves 
neither of the problems mentioned in sections 3.1 and 3.2 of

draft-ietf-csi-dhcpv6-cga-ps-06.txt

Can the authors please clarify?

Thanks
Suresh

---

From: Sheng Jiang <[email-masked]>
Date: Mon, 13 Dec 2010 08:40:45 +0800

Hi, Suresh,

Since I am the author for both draft-ietf-csi-dhcpv6-cga-ps and this 
draft-jiang-dhc-cga-config-dhcpv6, so I am gald that you link these two 
files together. However, there are some historic discussions in dhc wg 
you might not know.

Actually, the work of draft-jiang-dhc-cga-config-dhcpv6 was motivated by 
our analysis of draf-draft-ietf-csi-dhcpv6-cga-ps. It intends to extend 
the analysis and provide needed functions.

This draft-jiang-dhc-cga-config-dhcpv6 was targeted to section 2 and 
section 3.1 of draft-ietf-csi-dhcpv6-cga-ps. The scenario mentioned in 
section 2 leads us to the DHCPv6 Address Grant Option and the scenario 
mentioned in section 3.1 leads a DHCPv6 CGA Sec Option in 
draft-jiang-dhc-cga-config-dhcpv6-01. (Other CGA parameters mentioned in 
section 3.1 are dropped for various reasons that are also explained in 
this draft-jiang-dhc-cga-config-dhcpv6. Even there has no new options 
for them, the analysis in this draft remains valuable information, I 
believe.)

However, during the discussion in Beijing IETF meeting, the WG felt an 
independent CGA Sec option has many security issues and it might be 
better to integrated into DHCPv6 Address Grant Option. That's why we 
have the one integrated option in 02 version now.

Is this clear? I do agree this xurrent draft is a little bit different 
from our original motivation. However, this is the result that we 
followed reasonable and valuable WG discussions. :)

Regards,

Sheng

于 2010/12/11 22:03, Suresh Krishnan 写道:
>> During the meeting in Beijing, Sheng Jiang presented this document,
>> and there was broad support for adoption. Based on the consensus in
>> the meeting, I would like to ask if anybody objects to adopting this
>> document.
>>
>> If I don't hear any objections by next Friday, we will go with the
>> consensus in the meeting, which was to adopt. If I do hear objections,
>> we'll continue discussion until Friday the 17th, and then I will judge
>> consensus and post the results.
>>
>> So, if you object, please speak now or forever hold your peace. If you
>> have any questions or comments, this would be a good time to raise them.
>
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg
>

---

From: Ted Lemon <[email-masked]>
Date: Mon, 13 Dec 2010 11:30:45 -0800

[I accidentally forgot to Cc: the dhc mailing list when I replied to Suresh.  I think his response is interesting.]

On Dec 13, 2010, at 11:19 AM, Suresh Krishnan wrote:
> I am not objecting per se, but I am concerned that we are coming up with another point solution for a generic problem. The generic problem is registration of self generated addresses. There are many such addresses in this category. e.g. CGAs, HBAs, manually assigned addresses etc. I would like a solution for address registration to solve all cases.

This is a good point.   Now that we've taken the sec negotiation out of the picture, what do you guys think of making this generic, rather than specific to CGAs?   Sheng?

> I do not think it is a problem. A CGA will never collide with a DHCPv6 assigned address. I raised this issue in the last 6man meeting but never got a response.

This is a little puzzling.   The point of telling the DHCP server about your CGA is so that the DHCP server knows about your CGA, isn't it?   The problem of avoiding collisions is real, but quite minor, and doesn't CGA already require DAD?

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 13 Dec 2010 15:37:50 -0500

Hi Sheng,

On 10-12-12 07:40 PM, Sheng Jiang wrote:
> files together. 

Yes. I know :-)

> However, there are some historic discussions in dhc wg 
> you might not know.
> 

I would really like the draft to clearly specify the problem it is 
trying to solve. If the draft is only about registering the CGAs at the 
DHCPv6 server, I am fine with it. Even in this case, the server side 
processing of such registration is missing in the draft. Anything more 
than this needs to be discussed.

I am also certain the recommended Sec value is a really bad idea. A Sec 
value of 3 for example will increase the client processing needed by 
2^48 **FOLD**. Sending this in an unauthenticated DHCPv6 message is not 
such a good idea.

Thanks
Suresh

---

From: Sheng Jiang <[email-masked]>
Date: Tue, 14 Dec 2010 08:58:12 +0800

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Ted Lemon
> Sent: Tuesday, December 14, 2010 3:31 AM
> To: Suresh Krishnan
> Cc: [email-masked] WG
> Subject: Re: [dhcwg] Confirm call for 
> adoption:draft-jiang-dhc-cga-config-dhcpv6-02
> 
> [I accidentally forgot to Cc: the dhc mailing list when I 
> replied to Suresh.  I think his response is interesting.]
> 
> > I am not objecting per se, but I am concerned that we are 
> coming up with another point solution for a generic problem. 
> The generic problem is registration of self generated 
> addresses. There are many such addresses in this category. 
> e.g. CGAs, HBAs, manually assigned addresses etc. I would 
> like a solution for address registration to solve all cases.
> 
> This is a good point.   Now that we've taken the sec 
> negotiation out of the picture, what do you guys think of 
> making this generic, rather than specific to CGAs?   Sheng?

That's  the direction I am trying for a while. 

I have another draft discussing the generic address registration -
jiang-6man-addr-registration-req. I presented this draft in 6man meeting in Beijing. The WG,
partcilarly two ADs, Arrko and Ralph, think DHC is the right choice for address
registration.However, on another side, it seems nobody, including myself, co-authors and ADs, have
either strong user cases for address registration or fully understand the capability/benefit
address registration could bring. If anybody is interested in this and willing to work on this with
us, welcome to contribute.

Regards,

Sheng

---

From: Sheng Jiang <[email-masked]>
Date: Tue, 14 Dec 2010 09:20:34 +0800

Reply in the lines. Sheng

> From: Suresh Krishnan [mailto:[email-masked]] 
> Sent: Tuesday, December 14, 2010 4:38 AM
> To: Sheng Jiang
> Cc: Ted Lemon; [email-masked] WG
> > draft-jiang-dhc-cga-config-dhcpv6, so I am gald that you link these 
> > two files together.
> 
> Yes. I know :-)
> 
> > However, there are some historic discussions in dhc wg you 
> might not 
> > know.
> > 
> > Actually, the work of draft-jiang-dhc-cga-config-dhcpv6 was 
> motivated 
> > by our analysis of draf-draft-ietf-csi-dhcpv6-cga-ps. It intends to 
> > extend the analysis and provide needed functions.
> > 
> > draft-jiang-dhc-cga-config-dhcpv6-01. (Other CGA parameters 
> mentioned 
> > in section 3.1 are dropped for various reasons that are 
> also explained 
> > in this draft-jiang-dhc-cga-config-dhcpv6. Even there has no new 
> > options for them, the analysis in this draft remains valuable 
> > information, I
> > believe.)
> > 
> I would really like the draft to clearly specify the problem 
> it is trying to solve. If the draft is only about registering 
> the CGAs at the
> DHCPv6 server, I am fine with it. Even in this case, the 
> server side processing of such registration is missing in the 
> draft. Anything more than this needs to be discussed.

Hi, Suresh,

In short words, there are two parts in this drafts. A, some self-generated CGA addresses (disobey
certain address policies) may not be allowed by network management, so, we create CGA Grant Option
to enable DHCP servers manage the usage of CGA addresses. B, network management wants to configure
CGA relevant parameters to the host so to influence the CGA generation.

However, for the part B, the analysis in this draft have dropped most of parameters for security
reasons or out of scope. I guess this is the reason you felt puzzle - we are talking about CGA
configuration, but at the end we did not have solution to configure any parameters. (I guess, one
of the direction we could have is to make this draft discusses cga configuration only. Then this
draft will be degraded to informational draft - since our analysis disavowal all potential CGA
parameter configurations.)

Sec value. The DHC WG and I were have the same considerations you have below. That's why we decide
to integrated Sec value into CGA Grant option - the Sec value is only recommended when DHCP server
refuses the previous CGA grant request. This makes the bad influence much less.

Regards,

Sheng
 
> I am also certain the recommended Sec value is a really bad 
> idea. A Sec value of 3 for example will increase the client 
> processing needed by
> 2^48 **FOLD**. Sending this in an unauthenticated DHCPv6 
> message is not such a good idea.
> 
> Thanks
> Suresh
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 14 Dec 2010 07:41:27 -0800 (PST)

Hi Ted,

> > I am not objecting per se, but I am  concerned that we are coming up with 
>another point solution for a generic  problem. The generic problem is 
>registration of self generated addresses. There  are many such addresses in this 
>category. e.g. CGAs, HBAs, manually assigned  addresses etc. I would like a 
>solution for address registration to solve all  cases.
> 

I also agree.

What about considering this solution I-D:

http://tools.ietf.org/html/draft-xia-dhc-host-gen-id-02?

We can post an update if there is interest.

Regards,

Behcet

---

From: Ted Lemon <[email-masked]>
Date: Tue, 14 Dec 2010 09:13:09 -0800

I was wondering what happened to that draft.

It's actually a solution to a slightly different problem than the one Suresh is talking about.   Suresh is saying that if the client is choosing its own address anyway, but wants to communicate its address to the DHCP server, there ought to be a way to do that, and it ought not to be specific to CGA.

You are proposing a mechanism whereby the DHCP server tells the client what prefix or prefixes to use when generating a CGA, which is actually a bit tighter than what Sheng Jiang is proposing.

I am not convinced that these solutions are mutually exclusive, but they are definitely solutions to different problems.   So I am curious what Sheng Jiang and Suresh think of your proposal, and also what Sheng Jiang thinks of Suresh's proposal.

---

From: Sheng Jiang <[email-masked]>
Date: Wed, 15 Dec 2010 10:26:05 +0800

> Sent: Wednesday, December 15, 2010 1:13 AM
> To: Behcet Sarikaya; Behcet Sarikaya
> Cc: [email-masked]
> It's actually a solution to a slightly different problem than 
> the one Suresh is talking about.   Suresh is saying that if 
> the client is choosing its own address anyway, but wants to 
> communicate its address to the DHCP server, there ought to be 
> a way to do that, and it ought not to be specific to CGA.
> 
> You are proposing a mechanism whereby the DHCP server tells 
> the client what prefix or prefixes to use when generating a 
> CGA, which is actually a bit tighter than what Sheng Jiang is 
> proposing.

Hi, Ted and Behcet,

First of all, I supports this draft-xia-dhc-host-gen-id. Actually, I am also co-author of it.

I don't think this draft is conflictive or competitive against draft-jiang-dhc-cga-config-dhcpv6.
They are solving different issues. Actually, in the draft-jiang-dhc-cga-config-dhcpv6, when we
analyze the configuration of prefix, we said "A new Prefix Assignment Option MAY need to be
defined." This actually reference to draft-xia-dhc-host-gen-id in my mind.

The only overlap and differentia is how to "Request message for confirming usage of the CGA":
draft-xia-dhc-host-gen-id reuses IA Address option of RFC3315 while
draft-jiang-dhc-cga-config-dhcpv6 defines a new CGA grant option. Both solution is feasible. The
latter is more explicit on sending Reply to grant the usage of CGA and indicate the followup
operation.

> I am not convinced that these solutions are mutually 
> exclusive, but they are definitely solutions to different 
> problems.   So I am curious what Sheng Jiang and Suresh think 
> of your proposal, and also what Sheng Jiang thinks of 
> Suresh's proposal.

I have already replied as below, which Ted seems not see yet.

http://www.ietf.org/mail-archive/web/dhcwg/current/msg11466.html

Regards,

Sheng

---

From: Suresh Krishnan <[email-masked]>
Date: Thu, 16 Dec 2010 19:30:35 -0500

Hi Ted/Sheng/Behcet,

> I was wondering what happened to that draft.

Me too. I thought that draft was a good idea.

> It's actually a solution to a slightly different problem than the one Suresh is talking about.   Suresh is saying that if the client is choosing its own address anyway, but wants to communicate its…

Yep.

> I am not convinced that these solutions are mutually exclusive, but they are definitely solutions to different problems.   So I am curious what Sheng Jiang and Suresh think of your proposal, and al…

I agree that these drafts solve slightly different problems. I feel that 
I am not being fair to Sheng since I do not have a draft to show my 
point of view. I will try to write something up by next week to clarify 
what I believe is a generic problem (not specific to CGAs).

Thanks
Suresh

---

From: Sheng Jiang <[email-masked]>
Date: Fri, 17 Dec 2010 09:03:23 +0800

> I agree that these drafts solve slightly different problems. 
> I feel that I am not being fair to Sheng since I do not have 
> a draft to show my point of view. I will try to write 
> something up by next week to clarify what I believe is a 
> generic problem (not specific to CGAs).

Hi, Suresh,

When you said generic problem, are you referring to generic address registration/grant? If so, I
encourage you read first. Then we can work together on both the requirements and solution. :)

On another side, even if we decide to take address registration parts out of the draft, the
remaining parts, which many analyze CGA parameters configuration though it does not need to any
solution/extension, are still useful information and should become informational document. Ted, how
do you think?

Regards,

Sheng

---

From: Suresh Krishnan <[email-masked]>
Date: Thu, 16 Dec 2010 20:16:15 -0500

Hi Sheng,

> encourage you read first. Then we can work together on both the requirements and solution. :)

I am not sure what more you want me to read :-). Both draft-xia and 
draft-jiang do not solve the problem I was talking about. Is there any 
other draft?

> solution/extension, are still useful information and should become informational document. Ted, how

I am fine with this.

Thanks
Suresh

---

From: Sheng Jiang <[email-masked]>
Date: Fri, 17 Dec 2010 10:37:44 +0800

> > When you said generic problem, are you referring to generic address 
> > registration/grant? If so, I encourage you read first. Then we can 
> > work together on both the requirements and solution. :)
>
> I am not sure what more you want me to read :-). Both 
> draft-xia and draft-jiang do not solve the problem I was 
> talking about. Is there any other draft?

Oops... I left a blank there to find out the document link, then forget to fill it before I push
send button.

http://tools.ietf.org/html/draft-jiang-6man-addr-registration-req-01.txt

Here you are. A requirement draft for generic address registration.

Regards,

Sheng

> > On another side, even if we decide to take address 
> registration parts 
> > out of the draft, the remaining parts, which many analyze CGA 
> > parameters configuration though it does not need to any 
> > solution/extension, are still useful information and should 
> become informational document. Ted, how do you think?
> 
> I am fine with this.
> 
> Thanks
> Suresh
>

---

From: Ted Lemon <[email-masked]>
Date: Tue, 21 Dec 2010 15:25:32 -0500

Just a follow-up on this conversation.   When I did the original call to confirm adoption of this draft, I said that there was substantial support for it in the meeting room in Beijing, and that if there were no objections, we would adopt.   However, there has been one objection.

So at this point I think that it's necessary that those people who participated in the consensus in the room at the meeting in Beijing join the conversation.   If you were in Beijing and supported this draft, please either say that you still support the document as proposed despite Suresh's objection, or else please join us in discussing the issue that Suresh has raised.

I think Behcet's comment was not an objection, but merely an observation that there are other aspects to this problem that are not addressed in the current document, and that we might ought to be considering those as well.   Behcet, please correct me if I am wrong.

---

From: GangChen <[email-masked]>
Date: Wed, 22 Dec 2010 13:38:31 +0800

I think the motivation of this draft is clear for me. It could help
meet the gap in DHCPv6 environment. I support this work.

Best Regards

Gang

2010/12/22, Ted Lemon <[email-masked]>:
> Just a follow-up on this conversation.   When I did the original call to
> confirm adoption of this draft, I said that there was substantial support
> for it in the meeting room in Beijing, and that if there were no objections,
> we would adopt.   However, there has been one objection.
>
> So at this point I think that it's necessary that those people who
> participated in the consensus in the room at the meeting in Beijing join the
> conversation.   If you were in Beijing and supported this draft, please
> either say that you still support the document as proposed despite Suresh's
> objection, or else please join us in discussing the issue that Suresh has
> raised.
>
> I think Behcet's comment was not an objection, but merely an observation
> that there are other aspects to this problem that are not addressed in the
> current document, and that we might ought to be considering those as well.
> Behcet, please correct me if I am wrong.
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 22 Dec 2010 08:29:03 -0800 (PST)

>confirm adoption of this draft, I said that there was substantial support for it  
>in the meeting room in Beijing, and that if there were no objections, we would  
>adopt.   However, there has been one objection.
> 
>conversation.   If you were in  Beijing and supported this draft, please either 
>say that you still support the  document as proposed despite Suresh's objection, 
>or else please join us in  discussing the issue that Suresh has raised.
> 

I support the adoption.

> I think Behcet's comment was  not an objection, but merely an observation that 
>there are other aspects to this  problem that are not addressed in the current 
>document, and that we might ought  to be considering those as well.   Behcet, 
>please correct me if I am  wrong.
> 

Absolutely!

Regards,

Behcet